Delete multiple file storage services by their IDs
Deletes multiple file storage services by their unique identifiers. Services not found are recorded in FailedIds. Returns bulk delete result with counts.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Request Body
application/json
The list of IDs of the file storage services to delete.
TypeScript Definitions
Use the request body type in TypeScript.
[index: integer]?string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v2/storage-services" \ -H "Content-Type: application/json" \ -d '[ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ]'{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "requested": 0, "deleted": 0, "failed": 0, "failedIds": [ "6a469731-74bd-45ac-80d0-3572b92744af" ] }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}